View Issue Details

IDProjectCategoryView StatusLast Update
0003973SketcherBugpublic2019-06-28 08:49
ReporteruwestoehrAssigned Toabdullah 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.18 
Target Version0.19Fixed in Version 
Summary0003973: Carbon copy of a sketch results in unresolvable sketch
DescriptionSometimes after a carbon copy action the resulting sketch is unresolvable but fully constrained. To reproduce:
- open the attached file
- open the empty sketch "Sketch-CC" and make a carbon copy of the initial sketch

I also made a screencast to demonstrate the problem:
https://forum.freecadweb.org/viewtopic.php?f=3&t=36393#p308380
Additional InformationForum thread: https://forum.freecadweb.org/viewtopic.php?f=3&t=36393
Confirmed by @abdullah.
TagsNo tags attached.

Activities

uwestoehr

2019-05-15 13:14

developer  

CarbonCopy-sketch-test.FCStd (17,901 bytes)

Kunda1

2019-05-15 17:41

administrator   ~0013112

Confirmed by abdullah in the forum thread

abdullah

2019-06-23 13:16

manager   ~0013302

Fix committed to master branch.

abdullah

2019-06-28 08:49

manager   ~0013316

Fix committed to releases/FreeCAD-0-18 branch.

Related Changesets

FreeCAD: master b9417938

2019-06-23 13:10:48

abdullah


Committer: abdullahtahiriyo Details Diff
Sketcher: Fix Carbon copy leads to unsolvable sketch

====================================================

fixes 0003973

https://forum.freecadweb.org/viewtopic.php?p=316251#p316198

This commit disables an old "axis orientation correction mode", which tried to
solve a problem with orientation of the axis. It never worked fine and it should
have never been introduced, as everything it intends to do should be done by
setting the appropriate placement offset.
Affected Issues
0003973
mod - src/Mod/Sketcher/App/SketchObject.cpp Diff File

FreeCAD: releases/FreeCAD-0-18 0572853d

2019-06-23 13:10:48

abdullah


Committer: wmayer Details Diff
Sketcher: Fix Carbon copy leads to unsolvable sketch

====================================================

fixes 0003973

https://forum.freecadweb.org/viewtopic.php?p=316251#p316198

This commit disables an old "axis orientation correction mode", which tried to
solve a problem with orientation of the axis. It never worked fine and it should
have never been introduced, as everything it intends to do should be done by
setting the appropriate placement offset.
Affected Issues
0003973
mod - src/Mod/Sketcher/App/SketchObject.cpp Diff File

Issue History

Date Modified Username Field Change
2019-05-15 13:14 uwestoehr New Issue
2019-05-15 13:14 uwestoehr File Added: CarbonCopy-sketch-test.FCStd
2019-05-15 17:41 Kunda1 Status new => confirmed
2019-05-15 17:41 Kunda1 Note Added: 0013112
2019-05-15 17:42 Kunda1 Target Version => 0.19
2019-06-17 10:07 uwestoehr Additional Information Updated View Revisions
2019-06-23 13:16 abdullah Changeset attached => FreeCAD master b9417938
2019-06-23 13:16 abdullah Note Added: 0013302
2019-06-23 13:16 abdullah Assigned To => abdullah
2019-06-23 13:16 abdullah Status confirmed => closed
2019-06-23 13:16 abdullah Resolution open => fixed
2019-06-28 08:49 wmayer Changeset attached => FreeCAD releases/FreeCAD-0-18 0572853d
2019-06-28 08:49 abdullah Note Added: 0013316